Package javassist.bytecode

# Class SignatureAttribute.BaseType

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.BaseType

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.BaseType extends SignatureAttribute.Type
Primitive types.

## Constructor Summary

Constructors
Constructor
Description
`BaseType(String typeName)`
Constructs a `BaseType`.

## Method Summary

Modifier and Type
Method
Description
`CtClass`
`getCtlass()`
Returns the `CtClass` representing this primitive type.
`char`
`getDescriptor()`
Returns the descriptor representing this primitive type.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class javassist.bytecode.SignatureAttribute.Type

`jvmTypeName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BaseType

public BaseType(String typeName)
Constructs a `BaseType`.

Parameters:
  `typeName` - `void`, `int`, ...

## Method Details

### getDescriptor

public char getDescriptor()
Returns the descriptor representing this primitive type.

See Also:
  - `Descriptor`

### getCtlass

public CtClass getCtlass()
Returns the `CtClass` representing this primitive type.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`